import { UmiError } from '@metaplex-foundation/umi';
/** @category Errors */
export declare class BeetSerializerError extends UmiError {
    readonly name: string;
    constructor(message: string, cause?: Error);
}
export declare class OperationNotSupportedError extends BeetSerializerError {
    readonly name: string;
    constructor(operation: string);
}
export declare class DeserializingEmptyBufferError extends BeetSerializerError {
    readonly name: string;
    constructor(serializer: string);
}
export declare class NotEnoughBytesError extends BeetSerializerError {
    readonly name: string;
    constructor(serializer: string, expected: number, actual: number);
}
